Subject: Re: [syzbot] WARNING in __cancel_work

From: syzbot <[email-masked]>
Date: Fri, 04 Nov 2022 22:27:17 -0700

syzbot suspects this issue was fixed by commit:

commit 2d2cb3066f2c90cd8ca540b36ba7a55e7f2406e0
Author: Tetsuo Handa <[email-masked]>
Date:   Sat Sep 3 15:32:56 2022 +0000

    Bluetooth: L2CAP: initialize delayed works at l2cap_chan_create()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1469d541880000
start commit:   7ebfc85e2cd7 Merge tag 'net-6.0-rc1' of git://git.kernel.o..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=20bc0b329895d963
dashboard link: https://syzkaller.appspot.com/bug?extid=10e37d0d88cbc2ea19e4
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=13537803080000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12e68315080000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: Bluetooth: L2CAP: initialize delayed works at l2cap_chan_create()

For information about bisection process see: https://goo.gl/tpsmEJ#bisection